Governance Enforcement Recommendation APIs
This contains APIs related to CACM Governance Enforcement Recommendations
Accept governance rule enforcement recommendations.
Account Identifier for the Entity.
Enforcement Recommendation Ids
Bad Request
This is Failure entity as defied in Harness
Internal server error
True/false if governance rule enforcement recommendations are successfully accepted.
PUT /gateway/ccm/api/governance/enforcementRecommendation/accept?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Dismiss governance rule enforcement recommendations.
Account Identifier for the Entity.
Enforcement Recommendation Ids
Bad Request
This is Failure entity as defied in Harness
Internal server error
True/false if governance rule enforcement recommendations are successfully dismissed.
PUT /gateway/ccm/api/governance/enforcementRecommendation/dismiss?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Get governance rule enforcement recommendation details.
Account Identifier for the Entity.
Enforcement Recommendation Id
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns Enforcement details
GET /gateway/ccm/api/governance/enforcementRecommendation/details?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}List governance rule enforcement recommendations.
Account Identifier for the Entity.
Page number
0Number of items per page
20Bad Request
This is Failure entity as defied in Harness
Internal server error
Return list of governance enforcement recommendations.
GET /gateway/ccm/api/governance/enforcementRecommendation/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}List governance rule enforcement recommendations.
Account Identifier for the Entity.
This has the query to list the RuleEnforcementRecommendations
ruleIds
searchKey
targetAccounts
targetRegions
isDryRun
isEnabled
ruleEnforcementSortType
sortOrder
pageNumber
pageSize
Bad Request
This is Failure entity as defied in Harness
Internal server error
Return list of governance enforcement recommendations.
POST /gateway/ccm/api/governance/enforcementRecommendation/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 193
{
"ruleIds": [
"text"
],
"searchKey": "text",
"targetAccounts": [
"text"
],
"targetRegions": [
"text"
],
"isDryRun": true,
"isEnabled": true,
"sortType": "NAME",
"sortOrder": "ASCENDING",
"pageNumber": 1,
"pageSize": 1
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Update a governance rule enforcement recommendation.
Account Identifier for the Entity.
This object will contain the complete definition of a Cloud Cost Rule Enforcement generated by AI assistant
unique id
account id
name
Description of the entity
Tags
Organization Identifier for the Entity.
Project Identifier for the Entity.
cloudProvider
rulesIds
ruleSetIDs
executionSchedule
executionTimezone
targetAccounts
targetRegions
isDryRun
runCount
isEnabled
ruleEnforcementRecommendationStatus
pricingCostType
Time at which the entity was created
Time at which the entity was last updated
Bad Request
This is Failure entity as defied in Harness
Internal server error
Updated governance rule enforcement recommendation.
PUT /gateway/ccm/api/governance/enforcementRecommendation/update?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 649
{
"uuid": "text",
"accountId": "text",
"name": "text",
"description": "text",
"tags": [
"text"
],
"orgIdentifier": "text",
"projectIdentifier": "text",
"cloudProvider": "AWS",
"ruleIds": [
"text"
],
"ruleSetIDs": [
"text"
],
"executionSchedule": "text",
"executionTimezone": "text",
"targetAccounts": [
"text"
],
"targetRegions": [
"text"
],
"isDryRun": true,
"runCount": 1,
"isEnabled": true,
"ruleEnforcementRecommendationStatus": "NEW",
"pricingCostType": "text",
"createdAt": 1,
"lastUpdatedAt": 1,
"createdBy": {
"uuid": "text",
"name": "text",
"email": "text",
"externalUserId": "text"
},
"lastUpdatedBy": {
"uuid": "text",
"name": "text",
"email": "text",
"externalUserId": "text"
},
"ruleEnforcementType": "INTERNAL"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?